
Foreman - Bug #19507

Selected hosts on satellite UI does not get de-selected even after logging out/closing the browser

05/10/2017 07:11 AM - Tomer Brisker

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Inventory   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1308794 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1308794

Description of problem:

when I relogin, if the "Items Selected" box is already checked, one should know that there are already hosts which are selected so

he/she should be careful.  However it is easy for one to miss it especially if someone is not very well versed with Satellite. Also, once

one does the second selection and clicks on some Action , there is another pop up which gives the list of hosts on which the actions

is going to be performed. Again, if the list is long, it would not be possible to verify it and this can result in a disaster .

Suggestion: Caching of checkboxes should have a smaller timeout value and should be cleared if one logs out and using timeout we

can ensure that previous selected result should not mess out with current result set.

*Version-Release number of selected component (if applicable):*6.1.5

How reproducible:

Steps to Reproduce:

1. Log in to Satellite server and search for some patter and select some hosts.

2. Log out of Satellite server ( without de-selecting the hosts )

3. Log in to Satellite Server and select some other hosts with may be a different search pattern .

4. Now if we take an action on the newly selected hosts (like changing the group, deleting etc) ,It would apply to my earlier selected

hosts too.

Actual results: After relogin the older selected host still present.

Expected results: After logout it should clear all filter and selection of hosts.

Additional info:

Related issues:

Is duplicate of Foreman - Bug #9880: Selected hosts remain after closing and ... New 03/24/2015

History

#1 - 05/10/2017 07:24 AM - Dominic Cleal

- Is duplicate of Bug #9880: Selected hosts remain after closing and revisiting host list added

#2 - 05/10/2017 07:24 AM - Dominic Cleal

- Status changed from New to Duplicate
